Support » Plugin: Inline Google Spreadsheet Viewer » cdn script being called from this plugin

  • Resolved mikecrf121

    (@mikecrf121)


    hello,
    the following is being called from your plugin
    /0.1.32/pdfmake.min.js?ver=5.2.2
    do i need this in order for the plugin to work??
    im not displaying pdf’s
    its affecting my page load size by 600kb’s
    so im trying to get rid of it

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author Meitar

    (@meitar)

    Sounds like you overlooked this plugin’s FAQ, which has a section called “How do I remove unneeded stylesheets or JavaScripts that this plugin adds?” 🙄

    mikecrf121

    (@mikecrf121)

    Got it thank you. Also have a request if you do any updates or future releases, make encrypting the sheets standard. Had to search this forum heavy to find that answer with the sha technique. It was like 8 lines of code tweak but nescerry for my site, and would be sincerely appreciated by everyone I believe. Nobody wants their sheets or whatever url’s visible in source code. That should be in the faqs section 100%

    Plugin Author Meitar

    (@meitar)

    Nobody wants their sheets or whatever url’s visible in source code.

    That’s not universally true.

    Since this plugin only works with public sheets, obscuring the URL to the sheet is at best a security by obscurity design and thus not one I’m interested in making more prevalent.

    The correct solution is to implement what is required to support Google account login so private Google Sheets can be accessed. I’m not personally interested in doing this but I will happily accept patches to do so if you want to implement it.

Viewing 3 replies - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.